micro_utils.dokka
0.15.1

# AbstractExposedReadCRUDRepo

abstract class AbstractExposedReadCRUDRepo<ObjectType, IdType>(tableName: String) : ReadCRUDRepo<ObjectType, IdType> , ExposedCRUDRepo<ObjectType, IdType>

## Constructors

AbstractExposedReadCRUDRepo
Link copied to clipboard
fun AbstractExposedReadCRUDRepo(tableName: String)

## Functions

contains
Link copied to clipboard
open suspend override fun contains(id: IdType): Boolean
count
Link copied to clipboard
open suspend override fun count(): Long
getById
Link copied to clipboard
open suspend override fun getById(id: IdType): ObjectType?
getByPagination
Link copied to clipboard
open suspend override fun getByPagination(pagination: Pagination): PaginationResult<ObjectType>
getIdsByPagination
Link copied to clipboard
open suspend override fun getIdsByPagination(pagination: Pagination): PaginationResult<IdType>

## Properties

asId
Link copied to clipboard
abstract val <Error class: unknown class>.asId: IdType
asObject
Link copied to clipboard
abstract val <Error class: unknown class>.asObject: ObjectType
database
Link copied to clipboard
abstract val database: <Error class: unknown class>
selectAll
Link copied to clipboard
open val selectAll: <Error class: unknown class>.() -> <Error class: unknown class>
selectById
Link copied to clipboard
abstract val selectById: <Error class: unknown class>.(IdType) -> <Error class: unknown class><Boolean>
selectByIds
Link copied to clipboard
open val selectByIds: <Error class: unknown class>.(List<IdType>) -> <Error class: unknown class><Boolean>

## Inheritors

AbstractExposedWriteCRUDRepo
Link copied to clipboard

## Extensions

cached
Link copied to clipboard
fun <ObjectType, IdType> ReadCRUDRepo<ObjectType, IdType>.cached(kvCache: KVCache<IdType, ObjectType>, idGetter: (ObjectType) -> IdType): ReadCRUDCacheRepo<ObjectType, IdType>
fun <ObjectType, IdType> ReadCRUDRepo<ObjectType, IdType>.cached(kvCache: FullKVCache<IdType, ObjectType>, idGetter: (ObjectType) -> IdType): FullReadCRUDCacheRepo<ObjectType, IdType>
withMapper
Link copied to clipboard
inline fun <FromKey, FromValue, ToKey, ToValue> ReadCRUDRepo<ToValue, ToKey>.withMapper(mapper: MapperRepo<FromKey, FromValue, ToKey, ToValue>): ReadCRUDRepo<FromValue, FromKey>
inline fun <FromKey, FromValue, ToKey, ToValue> ReadCRUDRepo<ToValue, ToKey>.withMapper(noinline keyFromToTo: suspend FromKey.() -> ToKey = { this as ToKey }, noinline valueFromToTo: suspend FromValue.() -> ToValue = { this as ToValue }, noinline keyToToFrom: suspend ToKey.() -> FromKey = { this as FromKey }, noinline valueToToFrom: suspend ToValue.() -> FromValue = { this as FromValue }): ReadCRUDRepo<FromValue, FromKey>